Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.features.interval13
Class ReferenceBasePredictorInterval13

    java.lang.Object
      calhoun.analysis.crf.AbstractFeatureManager<java.lang.Character>
          calhoun.analysis.crf.features.interval13.ReferenceBasePredictorInterval13Base
              calhoun.analysis.crf.features.interval13.ReferenceBasePredictorInterval13

All Implemented Interfaces:
  FeatureManager<java.lang.Character>, FeatureManagerNode<java.lang.Character>, FeatureManagerNodeBoundaries<java.lang.Character>, java.io.Serializable

    public class ReferenceBasePredictorInterval13

extends ReferenceBasePredictorInterval13Base
implements FeatureManagerNodeBoundaries<java.lang.Character>

See Also:
  Serialized Form

Constructor Summary
`ReferenceBasePredictorInterval13()`

Method Summary
`CacheStrategySpec` | `getCacheStrategy()` caching strategy that the `CacheProcessor` should use to cache values for this feature.

Methods inherited from class calhoun.analysis.crf.features.interval13.ReferenceBasePredictorInterval13Base
`evaluateNode, getFeatureName, getNumFeatures, isMultipleFeatures, setMultipleFeatures, train`

Methods inherited from class calhoun.analysis.crf.AbstractFeatureManager
`getInputComponent, setInputComponent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface calhoun.analysis.crf.FeatureManagerNode
`evaluateNode`

Methods inherited from interface calhoun.analysis.crf.FeatureManager
`getFeatureName, getInputComponent, getNumFeatures, setInputComponent, train`

Constructor Detail

### ReferenceBasePredictorInterval13

    public ReferenceBasePredictorInterval13()

Method Detail

### getCacheStrategy

    public CacheStrategySpec getCacheStrategy()

  Description copied from interface: `FeatureManager`
  caching strategy that the `CacheProcessor` should use to cache values for this feature. This is only a hint, the cache processor is not required to use this (or any) caching strategy. This base class defaults to the UNSPECIFIED cache strategy.

  Specified by:
    `getCacheStrategy` in interface `FeatureManager<java.lang.Character>`
  Overrides:
    `getCacheStrategy` in class `AbstractFeatureManager<java.lang.Character>`
  Returns:
    cache strategy specification appropriate for this feature.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD